Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229349 - [GFS2] NFS fix - gfs2_drevalidate panic
Summary: [GFS2] NFS fix - gfs2_drevalidate panic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Wendy Cheng
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On:
Blocks: 204760
TreeView+ depends on / blocked
 
Reported: 2007-02-20 15:26 UTC by Wendy Cheng
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:40:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Wendy Cheng 2007-02-20 15:26:26 UTC
Description of problem:
Glock assertion failure found in '07 NFS connectathon. One of the NFSDs was
doing a "readdirplus" procedure call. It passed the logic into gfs2_readdir
where the call obtained its directory inode glock. It then subsequently
tried to construct the filehandle based on the contents of the directory
lising that invoked lookup and comes down to gfs2_drevalidate(). It hit
the assertion failure while trying obtain the inode glock again.

Version-Release number of selected component (if applicable):
All

How reproducible:
Each time and every time

Steps to Reproduce:
* Run cthon04 test suite
  
Actual results:
System panic

Expected results:
No panic

Additional info:
Patch had submitted to cluster-devel and has been in Linux tree since
sometime after Feb. 12.

Comment 1 Wendy Cheng 2007-02-23 17:51:19 UTC
Patch submitted:
 https://www.redhat.com/archives/cluster-devel/2007-February/msg00098.html

In Steve's git on: 02/06/07.

Comment 2 RHEL Product and Program Management 2007-03-01 21:45:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Kiersten (Kerri) Anderson 2007-03-09 18:41:04 UTC
Devel ACK for 5.1 - Would like to get the patch incorporated into an early 5.1
cycle kernel build.

Comment 4 RHEL Product and Program Management 2007-03-09 23:57:51 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 5 Don Zickus 2007-04-17 20:01:19 UTC
in 2.6.18-15.el5

Comment 7 Mike Gahagan 2007-09-12 20:10:11 UTC
Confirmed the fix is in, and I hit what looked like this panic with the GA
kernel just by having a nfs exported gfs2 mounted using nfsv3 and trying to do
an ls of the directory. 

nfs3 mounts when the system hosting the gfs2 fs is running the -45 kernel seems
to work fine.


Comment 9 errata-xmlrpc 2007-11-07 19:40:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.